## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanLocator Class Reference

This class defines a base class for Locator derivations in Xalan. More...

Inheritance diagram for XalanLocator:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  Locator ParentType
- typedef int size_type

## Public Member Functions

- XalanLocator ()
- virtual ~XalanLocator ()
- virtual const XMLCh * getPublicId () const=0
- virtual const XMLCh * getSystemId () const=0
- virtual size_type getLineNumber () const=0
- virtual size_type getColumnNumber () const=0

## Static Public Member Functions

- size_type getLineNumber (const ParentType *theLocator)
- size_type getColumnNumber (const ParentType *theLocator)
- size_type getUnknownValue ()

## Detailed Description

This class defines a base class for Locator derivations in Xalan.

It was defined because Xerces made changes in their Locator class which caused turbulence.

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER Locator XalanLocator::ParentType

typedef int XalanLocator::size_type

## Constructor & Destructor Documentation

XalanLocator::XalanLocator | ( |  | ) |

virtual XalanLocator::~XalanLocator | ( |  | ) | `[virtual]`

## Member Function Documentation

size_type XalanLocator::getColumnNumber | ( | const ParentType * | theLocator | ) | `[static]`

virtual size_type XalanLocator::getColumnNumber | ( |  | ) | const`[pure virtual]`

| Implemented in ElemTemplateElement::LocatorProxy.

size_type XalanLocator::getLineNumber | ( | const ParentType * | theLocator | ) | `[static]`

virtual size_type XalanLocator::getLineNumber | ( |  | ) | const`[pure virtual]`

| Implemented in ElemTemplateElement::LocatorProxy.

virtual const XMLCh* XalanLocator::getPublicId | ( |  | ) | const`[pure virtual]`

| Implemented in ElemTemplateElement::LocatorProxy.

virtual const XMLCh* XalanLocator::getSystemId | ( |  | ) | const`[pure virtual]`

| Implemented in ElemTemplateElement::LocatorProxy.

size_type XalanLocator::getUnknownValue | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- XalanLocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.